<template>
  <ObForm
    :form-data="formData"
    :is-submit-disabled="false"
    ok-text="Удалить"
    data-qa="lotDeleteWarningForm"
    @submit="onSubmit"
  >
    После удаления данные лота нельзя будет восстановить. Вы уверены, что хотите удалить лот?
  </ObForm>
</template>

<script>
  import FormValidationMixin from 'common-components/src/obComponents/obForm/FormValidationMixin'
  import ObForm from 'common-components/src/obComponents/obForm'

  export default {
    name: 'lotDeleteWarning',
    components: {
      ObForm
    },
    mixins: [
      FormValidationMixin
    ],
    methods: {
      onSubmit () {
        this.$emit('save')
      }
    }
  }
</script>
